
From: Francois Romieu <romieu@fr.zoreil.com>

Short comments so I can figure why things are done this way.



 25-akpm/drivers/net/wan/dscc4.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/wan/dscc4.c~dscc4-1 drivers/net/wan/dscc4.c
--- 25/drivers/net/wan/dscc4.c~dscc4-1	Fri Aug 15 13:53:34 2003
+++ 25-akpm/drivers/net/wan/dscc4.c	Fri Aug 15 13:53:34 2003
@@ -172,7 +172,7 @@ struct RxFD {
  */
 #define TO_STATE_TX(len)	cpu_to_le32(((len) & TxSizeMax) << 16)
 #define TO_STATE_RX(len)	cpu_to_le32((RX_MAX(len) % RxSizeMax) << 16)
-#define RX_MAX(len)		((((len) >> 5) + 1) << 5)
+#define RX_MAX(len)		((((len) >> 5) + 1) << 5)	/* Cf RLCR */
 #define SCC_REG_START(dpriv)	(SCC_START+(dpriv->dev_id)*SCC_OFFSET)
 
 struct dscc4_pci_priv {
@@ -1131,7 +1131,7 @@ static int dscc4_set_clock(struct net_de
 		}
 		brr = (m << 8) | n;
 		divider = n << m;
-		if (!(*state & 0x00000001)) /* Clock mode 6b */
+		if (!(*state & 0x00000001)) /* ?b mode mask => clock mode 6b */
 			divider <<= 4;
 		*bps = xtal / divider;
 	} else {

_
